# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString Class Reference

`#include <PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString.hxx>`

Inheritance diagram for PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString ()
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString (const Handle(PCollection_HAsciiString)&aValue)
Standard_EXPORT void | SetValue (const Handle(PCollection_HAsciiString)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue() const
void | _CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HAsciiString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( |  | ) |

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( | const Handle(PCollection_HAsciiString)& | aValue | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::_CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::SetValue | ( | const Handle(PCollection_HAsciiString)& | aValue | ) |

Standard_EXPORT Standard_Address PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::Value | ( |  | ) | const

## Field Documentation

Handle_PCollection_HAsciiString PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString.hxx